{% for post in posts %}
    <article class="post">

        <header>

            <h2><a href="{{ post.route('view') }}">{{ post.title }}</a></h2>

            <div class="meta">

                <span class="author">
                    {{ post.author.display_name }}
                </span>

                <time class="date" datetime="{{ post.publish_at.iso }}">
                    {{ post.publish_at.format(config_get('streams::datetime.date_format')) }}
                </time>

                {% if post.category %}
                    <span class="category">
                        &mdash; {{ html_link(post.category.route('view'), post.category.name) }}
                    </span>
                {% endif %}

                {% if post.tags %}
                    <div class="tags">
                        {% for tag in post.tags.value %}
                            <a href="{{ url_route('anomaly.module.posts::tags.view', {'tag': tag}) }}"
                               class="badge badge-info list-inline-item">
                                {{ tag }}
                            </a>
                        {% endfor %}
                    </div>
                {% endif %}

            </div>

        </header>

        <div class="summary">
            {% if post.summary %}
                <p>{{ post.summary|nl2br|raw }}</p>
            {% endif %}
        </div>

    </article>
{% endfor %}
